# Note that this is NOT a relocatable package
%define name	oaf
%define ver		0.6.7
%define RELEASE		3
%define rel		%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix		%{_prefix}
%define sysconfdir	%{_prefix}/etc

Name:		%name
Summary:	Object Activation Framework for GNOME
Version: 	%ver
Release: 	%rel
License: 	LGPL and GPL
Group:		System Environment/Libraries
Source: 	%{name}-%{ver}.tar.gz
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Docdir: 	%{prefix}/doc
Patch0: oaf-%{ver}-aix.patch
%define DEFCC cc

%description
OAF is an object activation framework for GNOME. It uses ORBit.

%package devel
Summary:	Libraries and include files for OAF
Group:		Development/Libraries
Requires:	ORBit
#Obsoletes:	%{name}-devel

%description devel

%changelog
* Fri Nov  7 2001 Dan Nguyen <dnn@austin.ibm.com>
- Update to 0.6.7

* Fri Oct  5 2001 Dan Nguyen <dnn@austin.ibm.com>
- Updated to 0.6.6
- Fixed severe packaging problems
- Added /usr symlinks back into rpm

* Fri Aug 10 2001 Dan McNichol <mcnichol@austin.ibm.com>
- Changes for AIX toolbox.

* Tue Aug 29 2000 Maciej Stachowiak <mjs@eazel.com>
- corrected Copyright field and renamed it to License

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file (based on bonobo.spec.in)

%prep
%setup -q
%patch0 -p1 -b .aix
automake -i liboaf/Makefile
automake -i oafd/Makefile

%build
%ifarch alpha
	MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else
       export CC=gcc
    fi
fi
if [[ "X$CC" != "Xgcc" ]]
then
    export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
	if [[ "X$CC" != "Xxlc" ]]
	then
		export RPM_OPT_FLAGS='-qlanglvl=ansi'
	fi
fi
#libtoolize --force
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ma"

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,-brtl" ./configure $MYARCH_FLAGS \
	--enable-more-warnings \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir}

#make -k
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make -k prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

file $RPM_BUILD_ROOT%{prefix}/bin/* | awk -F ':' '/not stripped/ {print $1}' | xargs /usr/bin/strip

# removed unwanted binary before we create symlinks
rm $RPM_BUILD_ROOT/%{prefix}/bin/oaf-empty-server

( cd $RPM_BUILD_ROOT
 for dir in bin include lib
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

  
%files
%defattr(0555, bin, bin)

%doc AUTHORS COPYING ChangeLog NEWS README
%config %{sysconfdir}/oaf/*.sample
%config %{sysconfdir}/oaf/*.xml
%{prefix}/bin/*
%{prefix}/lib/*.0
%{prefix}/lib/*.sh
%{prefix}/lib/*.so

/usr/bin/*
/usr/lib/*.so

%defattr (0444, bin, bin)
%{prefix}/share/idl/*.idl
#%{prefix}/share/locale/da/LC_MESSAGES/*.mo
#%{prefix}/share/locale/de/LC_MESSAGES/*.mo
#%{prefix}/share/locale/no/LC_MESSAGES/*.mo
#%{prefix}/share/locale/ru/LC_MESSAGES/*.mo
#%{prefix}/share/locale/tr/LC_MESSAGES/*.mo
%{prefix}/share/oaf/*.oafinfo

%files devel

%defattr(0555, bin, bin)
%dir %{prefix}/include/liboaf
%{prefix}/lib/*.la

%dir /usr/include/liboaf

%defattr(0444, bin, bin)
%{prefix}/include/liboaf/*.h
%{prefix}/share/aclocal/*.m4

/usr/include/liboaf/*.h
